# Method: networks.lines.rotations.create

Creates a LineRotation.

### HTTP request

`POST https://middlemileoptimization.googleapis.com/v1/{parent=networks/*/lines/*}/rotations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where this line rotation will be created. Format: "networks/{network}/lines/{line}" |

### Query parameters

| Parameters ||
|---|---|
| `lineRotationId` | `string` Required. Identifier of the line rotation to create. |

### Request body

The request body contains an instance of `https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/networks.lines.rotations#LineRotation`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/networks.lines.rotations#LineRotation`.